## org.eclipse.datatools.connectivity
Interface IPropertiesPersistenceHook

All Known Implementing Classes:
  PropertiesPersistenceHook

    public interface IPropertiesPersistenceHook

Method Summary
`boolean` `arePropertiesComplete(java.util.Properties props)` Allows the framework to determine whether or not a connection dialog needs to be displayed prior to opening a connection to the server (e.g.
`java.lang.String` `getConnectionPropertiesPageID()` Returns the ID of the property page used to collect the information required to make the property set complete.
`java.util.Properties` `getPersitentProperties(java.util.Properties props)` Returns the property set that should be persisted by the framework.
`java.util.Properties` `populateTransientProperties(java.util.Properties props)` Returns a property set which includes any transient or derived properties that must be set prior to usage.

Method Detail

### getPersitentProperties

    java.util.Properties getPersitentProperties(java.util.Properties props)

  Returns the property set that should be persisted by the framework. This allows extensions to prevent certain properties from being persisted by the framework (e.g. authentication information, derived properties, etc.). This method is invoked by the framework just prior to the properties being persisted.

  Parameters:
    `props` - the properties currently associated with a connection profile
  Returns:
    the properties to be persisted by the framework

### populateTransientProperties

    java.util.Properties populateTransientProperties(java.util.Properties props)

  Returns a property set which includes any transient or derived properties that must be set prior to usage. This allows the provider to alter the property set when it is being loaded (e.g. for migration purposes, etc.). This method is invoked by the framework after the properties have been loaded, but prior to them being associated with the connection profile.

  Parameters:
    `props` - the properties loaded from the workspace
  Returns:
    the modified property set

### arePropertiesComplete

    boolean arePropertiesComplete(java.util.Properties props)

  Allows the framework to determine whether or not a connection dialog needs to be displayed prior to opening a connection to the server (e.g. authentication information is missing). This call is not intended to verify that the information will allow for a successful connection, just that the information is complete enough to make an attempt.

  Parameters:
    `props` - the property set to inspect
  Returns:
    true if the property set is complete; false if additional information must be specified.

### getConnectionPropertiesPageID

    java.lang.String getConnectionPropertiesPageID()

  Returns the ID of the property page used to collect the information required to make the property set complete.

  Returns:
    the ID of the property page used to collect the missing required properties

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.